WinShopAPI docs
ReferenceItem lists

VAT rates

List vat rates

GET
/api/item-lists/vat-rates

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Response Body

application/json
  1. response
[index: integer]?
curl -X GET 'https://<your-instance>/api/item-lists/vat-rates' \  -H 'Authorization: Bearer <access-token>'
[  {    "coefficient": 0,    "id": 0,    "isInactive": true,    "name": "string",    "validFrom": "2019-08-24T14:15:22Z",    "validTo": "2019-08-24T14:15:22Z",    "vatRate": 0  }]

Create a vat rate

POST
/api/item-lists/vat-rates

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Request Body

application/json
  1. body
coefficient?|
Formatdecimal
id?integer
Formatint32
isInactive?boolean|null
name?|
Lengthlength <= 50
validFrom?|
Formatdate-time
validTo?|
Formatdate-time
vatRate?|
Formatdecimal

Response Body

application/json
  1. response
coefficient?|
Formatdecimal
id?integer
Formatint32
isInactive?boolean|null
name?|
Lengthlength <= 50
validFrom?|
Formatdate-time
validTo?|
Formatdate-time
vatRate?|
Formatdecimal
curl -X POST 'https://<your-instance>/api/item-lists/vat-rates' \  -H 'Authorization: Bearer <access-token>' \  -H 'Content-Type: application/json' \  -d '{}'
{  "coefficient": 0,  "id": 0,  "isInactive": true,  "name": "string",  "validFrom": "2019-08-24T14:15:22Z",  "validTo": "2019-08-24T14:15:22Z",  "vatRate": 0}

Get a vat rate

GET
/api/item-lists/vat-rates/{id}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

id*integer
Formatint32

Response Body

application/json
  1. response
coefficient?|
Formatdecimal
id?integer
Formatint32
isInactive?boolean|null
name?|
Lengthlength <= 50
validFrom?|
Formatdate-time
validTo?|
Formatdate-time
vatRate?|
Formatdecimal
curl -X GET 'https://<your-instance>/api/item-lists/vat-rates/0' \  -H 'Authorization: Bearer <access-token>'
{  "coefficient": 0,  "id": 0,  "isInactive": true,  "name": "string",  "validFrom": "2019-08-24T14:15:22Z",  "validTo": "2019-08-24T14:15:22Z",  "vatRate": 0}

Update a vat rate

PATCH
/api/item-lists/vat-rates/{id}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

id*integer
Formatint32

Request Body

application/json
  1. body
coefficient?|
Formatdecimal
id?integer
Formatint32
isInactive?boolean|null
name?|
Lengthlength <= 50
validFrom?|
Formatdate-time
validTo?|
Formatdate-time
vatRate?|
Formatdecimal

Response Body

application/json
  1. response
coefficient?|
Formatdecimal
id?integer
Formatint32
isInactive?boolean|null
name?|
Lengthlength <= 50
validFrom?|
Formatdate-time
validTo?|
Formatdate-time
vatRate?|
Formatdecimal
curl -X PATCH 'https://<your-instance>/api/item-lists/vat-rates/0' \  -H 'Authorization: Bearer <access-token>' \  -H 'Content-Type: application/json' \  -d '{}'
{  "coefficient": 0,  "id": 0,  "isInactive": true,  "name": "string",  "validFrom": "2019-08-24T14:15:22Z",  "validTo": "2019-08-24T14:15:22Z",  "vatRate": 0}

Delete a vat rate

DELETE
/api/item-lists/vat-rates/{id}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

id*integer
Formatint32

Response Body

curl -X DELETE 'https://<your-instance>/api/item-lists/vat-rates/0' \  -H 'Authorization: Bearer <access-token>'
Empty